import JDLApplicationConfigurationOption from './jdl-application-configuration-option.js';
export default class StringJDLApplicationConfigurationOption extends JDLApplicationConfigurationOption {
    quoted;
    constructor(name, value, quoted = false) {
        super(name, value);
        this.quoted = quoted;
    }
    toString() {
        const value = this.quoted && !this.value.includes('"') ? `"${this.value}"` : this.value;
        return `${this.name} ${value}`;
    }
}
